## gnome-books 3.34.0

=== meson_options.txt ===
option('documentation', type: 'boolean', value: true, description: 'build documentation')

## gnome-books 3.31.90

=== debian/changelog ===
gnome-books (3.31.90-3) unstable; urgency=medium

  * Drop unused lintian override
  * Update debian/copyright (Closes: #922128)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 02 Mar 2019 19:30:27 -0500

gnome-books (3.31.90-1) unstable; urgency=medium

  * New upstream development release split from gnome-documents
    (Closes: #921464)
  * Add meson-rename-another-Documents-Books-reference.patch

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 14:48:41 -0500

gnome-documents (3.30.1-1) unstable; urgency=high

  * New upstream release
  * Bump Standards-Version to 4.3.0
  * Restore -Wl,-O1 to our LDFLAGS
  * Drop gnome-documents-xdg-fail.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 18 Jan 2019 11:49:17 -0500

gnome-documents (3.30.0-2) unstable; urgency=medium

  * Team upload
  * Rebuild to help the gjs transition to happen (see #906016). We need
    a higher version of gnome-documents in unstable than the obsolete
    s390x binaries in testing.
  * Normalize dependency list order (wrap-and-sort -a)
  * Set Rules-Requires-Root to no
  * d/source/lintian-overrides: Silence a false positive for
    source-is-missing.
    src/sharing.js contains a regular expression that is long enough to
    trip Lintian's line-length-based heuristic to detect minified
    JavaScript, but in fact it is not minified and is the preferred form
    for modification.
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Dec 2018 11:59:12 +0000

gnome-documents (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Wed, 12 Sep 2018 18:23:53 +1000

gnome-documents (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Depend on libgepub 0.6
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 21 Mar 2018 08:13:27 -0400

gnome-documents (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 01 Feb 2018 07:53:38 -0500

gnome-documents (3.26.1-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 17:31:11 -0500

gnome-documents (3.26.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 13:51:24 -0400

gnome-documents (3.26.1-1) experimental; urgency=medium

  * New upstream translations release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 03 Oct 2017 15:02:19 -0400

gnome-documents (3.26.0-1) experimental; urgency=medium

  * New upstream release
  * Refresh 90_drop-onlyshowin.patch

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Sep 2017 09:45:43 -0400

gnome-documents (3.25.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release
  * Update build-dependencies according to upstream configure.ac changes:
    - drop intltool (in favor of gettext)
    - switch to tracker 2.0
    - bump required gtk+ and gjs versions
  * Drop debian/patches/git_require-gepub-0.5.patch, included upstream.
  * Refresh remaining patches to apply without fuzz.

  [ Jeremy Bicha ]
  * Recommend gnome-user-docs instead of transitional package (LP: #1691867)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 18:49:10 -0400

gnome-documents (3.22.5-2) unstable; urgency=medium

  * Depend and Build-Depend on tracker 2 instead of tracker 1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 16:11:46 -0400

gnome-documents (3.22.5-1) unstable; urgency=medium

  * New upstream release.
  * Update 90_drop-onlyshowin.patch to show Books app
    in any desktop (LP: #1687101)
  * Add git_require-gepub-0.5.patch:
    - Cherry-pick commit for compatibility with libgepub 0.5
  * debian/control.in:
    - Depend and Build-Depend on gir1.2-gepub-0.5
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 08:43:45 -0400

gnome-documents (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 13 Apr 2017 07:04:51 +0200

gnome-documents (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Mar 2017 01:16:41 +0100

gnome-documents (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 21:46:17 +0200

gnome-documents (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Drop debian/patches/Require-Gepub-0.4.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 14:47:03 +0200

gnome-documents (3.21.90-2) unstable; urgency=medium

  * Add explicit Build-Depends and Depends on gir packages which are not
    pulled in via the dev package and added via ${gir:Depends}. Upstream now
    checks for those explicitly via AX_CHECK_GIRS_GJS. Remove those which are
    computed via ${gir:Depends}.

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Sep 2016 16:34:13 +0200

gnome-documents (3.21.90-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump dh compat to 10
  * debian/control.in:
    - Build-depend on autoconf-archive instead of gnome-common
    - Build-depend and depend on libgepub for new epub support
  * Drop debian/patches/91_hide-gnome-books.patch:
    - Don't hide the Books app since it now support epubs

  [ Michael Biebl ]
  * Cherry-pick patch from upstream to use Gepub 0.4.

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Sep 2016 01:14:47 +0200

gnome-documents (3.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 17 Aug 2016 13:51:13 +0200

gnome-documents (3.20.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/patches/91_hide-gnome-books.patch:


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-books
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper (>= 11.1.3),
               desktop-file-utils,
               gjs (>= 1.48.0),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 1.31.6),
               gtk-doc-tools,
               inkscape,
               itstool,
               libevince-dev (>= 3.13.3),
               libgdata-dev (>= 0.13.3),
               libgepub-0.6-dev,
               libgirepository1.0-dev (>= 1.31.6),
               libgjs-dev (>= 1.48),
               libglib2.0-dev (>= 2.39.3),
               libgnome-desktop-3-dev (>= 3.10),
               libgoa-1.0-dev (>= 3.10),
               libgtk-3-dev (>= 3.22.15),
               libsoup2.4-dev (>= 2.41.3),
               libtracker-control-2.0-dev,
               libtracker-sparql-2.0-dev,
               libxml2-utils,
               libwebkit2gtk-4.0-dev (>= 2.6.0),
               libzapojit-dev (>= 0.0.2-2),
               meson (>= 0.42.0),
               poppler-utils,
               xsltproc
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-books
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-books.git
Homepage: https://wiki.gnome.org/Apps/Books
Rules-Requires-Root: no

Package: gnome-books
Architecture: any
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-gepub-0.6,
         gir1.2-pango-1.0,
         gir1.2-tracker-2.0,
         gir1.2-webkit2-4.0,
         gjs (>= 1.48.0),
         gnome-online-miners,
         tracker (>= 1.99),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gir1.2-lokdocview-0.1,
            gnome-user-docs,
            libgsf-bin,
            unoconv
Conflicts: libreoffice-gtk3 (<= 1:5.1.1-1)
Breaks: gnome-documents (<< 3.31.90)
Replaces: gnome-documents (<< 3.31.90)
Description: ebook reader for GNOME
 GNOME Books is a simple application to access and organize your ebooks.
 It is meant to be a simple and elegant replacement for using a
 file manager to deal with ebooks. The app supports comic books
 and ePub books.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-books

override_dh_girepository:
	dh_girepository -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-books \
	-ldebian/gnome-books/usr/share/gnome-books/gir-1.0 \
	/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-books/ /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-books/girepository-1.0/

## gnome-books 3.32.0

=== debian/changelog ===
gnome-books (3.32.0-1build1) eoan; urgency=medium

  * Rebuild for new gnome-desktop soname version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 19 Aug 2019 17:06:02 +0200

gnome-books (3.32.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete Build-Depends on inkscape, libzapojit-dev and poppler-utils
  * Drop meson-rename-another-Documents-Books-reference.patch: Applied

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Mar 2019 05:18:19 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
-               inkscape,
                itstool,
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
@@ -29,9 +28,7 @@
                libtracker-sparql-2.0-dev,
                libxml2-utils,
                libwebkit2gtk-4.0-dev (>= 2.6.0),
-               libzapojit-dev (>= 0.0.2-2),
                meson (>= 0.42.0),
-               poppler-utils,
                xsltproc
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-books

## gnome-books 3.34.0

=== debian/changelog ===
gnome-books (3.34.0-4) unstable; urgency=medium

  * Team upload
  * Build-Depend on librsvg2-common:native.
    This package contains the SVG backend for gdk-pixbuf, which is necessary
    to ensure that gdk-pixbuf-pixdata can convert SVGs to PNG. It was
    previously pulled in via the dependency chain
        libgtk-3-0 -> adwaita-icon-theme -> librsvg2-common
    (Closes: #959580)
  * Explicitly build-depend on libgdk-pixbuf2.0-bin.
    This is indirectly pulled in by GTK, but the build system invokes
    gdk-pixbuf-pixdata (via glib-compile-resources) so we ought to depend
    on it directly.
  * d/p/90_drop-onlyshowin.patch: Add Ubuntu bug reference, fix From line
  * d/rules: Don't generate detached debug symbols.
    The libgd copylib happens to be identical in gnome-books and
    gnome-documents, causing gcc to assign an identical build ID, causing
    the detached debug symbols to be non-coinstallable in a rare case of
    builds being a little *too* reproducible.

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Aug 2020 22:13:45 +0100

gnome-books (3.34.0-3) unstable; urgency=medium

  * Team upload.
  * Change tracker-miners dep to tracker-extract (Closes: #950644)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 01 Mar 2020 23:07:21 +0100

gnome-books (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Add tracker-miners runtime dependency (Closes: #950644)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Feb 2020 13:00:17 +0100

gnome-books (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Sep 2019 21:01:58 -0400

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11.1.3),
+Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gjs (>= 1.48.0),
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
                itstool,
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
+               libgdk-pixbuf2.0-bin,
                libgepub-0.6-dev,
                libgirepository1.0-dev (>= 1.31.6),
                libgjs-dev (>= 1.48),
@@ -23,6 +24,7 @@
                libgnome-desktop-3-dev (>= 3.10),
                libgoa-1.0-dev (>= 3.10),
                libgtk-3-dev (>= 3.22.15),
+               librsvg2-common:native,
                libsoup2.4-dev (>= 2.41.3),
                libtracker-control-2.0-dev,
                libtracker-sparql-2.0-dev,
@@ -30,7 +32,7 @@
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                meson (>= 0.42.0),
                xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-books
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-books.git
 Homepage: https://wiki.gnome.org/Apps/Books
@@ -46,6 +48,7 @@
          gjs (>= 1.48.0),
          gnome-online-miners,
          tracker (>= 1.99),
+         tracker-extract,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,gir
+	dh $@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-books
@@ -14,3 +14,8 @@
 	-ldebian/gnome-books/usr/share/gnome-books/gir-1.0 \
 	/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-books/ /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-books/girepository-1.0/
 
+override_dh_strip:
+	# The detached debug symbols collide with gnome-documents: #968710
+	dh_strip --no-automatic-dbgsym
+
+override_dh_dwz:

## gnome-books 40.0

=== debian/changelog ===
gnome-books (40.0-3) unstable; urgency=medium

  * Cherry-pick proposed patch to fix build with latest meson
    (Closes: #1005581)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Mar 2022 05:06:53 -0400

gnome-books (40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 06:58:23 -0400

gnome-books (40.0-1) experimental; urgency=medium

  * New upstream release
  * control: Bump BDs for version 40.
    - tracker-sparql to 3.0
    - add gdk-pixbuf for the API to load gnome-books supplied pixbuf loaders
  * debian/patches/90_drop-onlyshowin.patch: Drop. Upstream made the same
    change

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 10:52:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,6 +17,7 @@
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
                libgdk-pixbuf2.0-bin,
+               libgdk-pixbuf2.0-dev (>= 2.39.1),
                libgepub-0.6-dev,
                libgirepository1.0-dev (>= 1.31.6),
                libgjs-dev (>= 1.48),
@@ -26,8 +27,7 @@
                libgtk-3-dev (>= 3.22.15),
                librsvg2-common:native,
                libsoup2.4-dev (>= 2.41.3),
-               libtracker-control-2.0-dev,
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-3.0-dev,
                libxml2-utils,
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                meson (>= 0.42.0),
@@ -43,11 +43,11 @@
 Depends: gir1.2-gdkpixbuf-2.0,
          gir1.2-gepub-0.6,
          gir1.2-pango-1.0,
-         gir1.2-tracker-2.0,
+         gir1.2-tracker-3.0,
          gir1.2-webkit2-4.0,
          gjs (>= 1.48.0),
          gnome-online-miners,
-         tracker (>= 1.99),
+         tracker (>= 3.0),
          tracker-extract,
          ${gir:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@
